Jack2 1.9.12

Public Member Functions | List of all members
Jack::JackServer Class Reference

The Jack server. More...

`#include <JackServer.h>`

## Public Member Functions
| JackServer (bool sync, bool temporary, int timeout, bool rt, int priority, int port_max, bool verbose, jack_timer_type_t clock, char self_connect_mode, const char *server_name)
int | Open (jack_driver_desc_t *driver_desc, JSList *driver_params)
int | Close ()
int | Start ()
int | Stop ()
bool | IsRunning ()
void | Notify (int refnum, int notify, int value)
int | SetBufferSize (jack_nframes_t buffer_size)
int | SetFreewheel (bool onoff)
int | InternalClientLoad1 (const char *client_name, const char *so_name, const char *objet_data, int options, int *int_ref, int uuid, int *status)
int | InternalClientLoad2 (const char *client_name, const char *so_name, const JSList *parameters, int options, int *int_ref, int uuid, int *status)
int | LoadInternalSessionFile (const char *file)
int | ReleaseTimebase (int refnum)
int | SetTimebaseCallback (int refnum, int conditional)
JackDriverInfo * | AddSlave (jack_driver_desc_t *driver_desc, JSList *driver_params)
void | RemoveSlave (JackDriverInfo *info)
int | SwitchMaster (jack_driver_desc_t *driver_desc, JSList *driver_params)
JackLockedEngine * | GetEngine ()
JackEngineControl * | GetEngineControl ()
JackSynchro * | GetSynchroTable ()
JackGraphManager * | GetGraphManager ()

## Detailed Description

The Jack server.

Definition at line 46 of file JackServer.h.

The documentation for this class was generated from the following files:

- JackServer.h
- JackServer.cpp